<div class="container-fluid">
    <div class="row py-3">
        <div class="col-2">&nbsp;</div>
        <div class="col-8">
            <form [formGroup]="myForm" (ngSubmit)="fromGroupSubmit()" #formDir="ngForm" autocomplete="off">
                <div class="form-row">
                    <div class="col-md-12 mb-3">
                        <label for="validationCustom01">JobTitle*</label>
                        <input type="text" class="form-control"  id="jTitle" placeholder="JobTitle" formControlName="jTitle" required >
                        <div *ngIf="myForm.controls['jTitle'].errors && (myForm.controls['jTitle'].dirty || myForm.controls['jTitle'].touched)" class="error-msg ">
                            <div [hidden]="!myForm.controls['jTitle'].errors.required">Job Title is required.</div>
                            <div [hidden]="!myForm.controls['jTitle'].errors?.pattern">please enter an valid job Title.</div>
                        </div>
                    </div>
                </div>
                <div class="form-row">
                    <div class="col-md-12 mb-3">
                        <label for="validationCustom01">JobDescription*</label>
                        <input type="text" class="form-control"  placeholder="JobDescription" formControlName = "jDescription" required>
                        <div *ngIf="myForm.controls['jDescription'].errors && (myForm.controls['jDescription'].dirty || myForm.controls['jDescription'].touched)" class="error-msg pl-2">
                            <div [hidden]="!myForm.controls['jDescription'].errors.required">Job Description is required.</div>
                            <div [hidden]="!myForm.controls['jDescription'].errors?.pattern">please enter an valid job Description.</div>
                        </div>
                    </div>
                </div>
                <div class="form-row">
                    <div class="col-md-5 mb-3">
                        <label for="validationCustom01">Salary*(k)</label>
                        <input type="text" class="form-control"  placeholder="SalaryMinimum " formControlName = "jMin" required>
                        <div *ngIf="myForm.controls['jMin'].errors && (myForm.controls['jMin'].dirty || myForm.controls['jMin'].touched)" class="error-msg pl-2">
                            <div [hidden]="!myForm.controls['jMin'].errors.required">Job Min.salary is required.</div>
                            <div [hidden]="!myForm.controls['jMin'].errors?.pattern">please enter an valid Salary.</div>
                        </div>
                    </div>
                    <div class="col-md-1">&nbsp;</div>
                    <div class="col-md-6 mb-3">
                        <label for="validationCustom01">&nbsp;</label>
                        <input type="text" class="form-control"  placeholder="SalaryMaximum" formControlName = "jMax" required >
                        <div *ngIf="myForm.controls['jMax'].errors && (myForm.controls['jMax'].dirty || myForm.controls['jMax'].touched)" class="error-msg pl-2">
                            <div [hidden]="!myForm.controls['jMax'].errors.required">Job Max.salary is required.</div>
                            <div [hidden]="!myForm.controls['jMax'].errors?.pattern">please enter an valid Salary.</div>
                        </div>
                    </div>
                </div>
                <div class="form-row">
                    <div class="col-md-5 mb-3">
                        <label for="validationCustom01">Experice*</label>
                        <input type="number" class="form-control"  placeholder="MinimumExperice" formControlName = "jMinW" required>
                        <div *ngIf="myForm.controls['jMinW'].errors && (myForm.controls['jMinW'].dirty || myForm.controls['jMinW'].touched)" class="error-msg pl-2">
                            <div [hidden]="!myForm.controls['jMinW'].errors.required">Job min. Experice is required.</div>
                            <div [hidden]="!myForm.controls['jMinW'].errors?.pattern">please enter an valid Experice.</div>
                        </div>
                    </div>
                    <div class="col-md-1">&nbsp;</div>
                    <div class="col-md-6 mb-3">
                        <label for="validationCustom01">&nbsp;</label>
                        <input type="number" class="form-control"  placeholder="MaximumExperice" formControlName = "jMaxW" required>
                        <div *ngIf="myForm.controls['jMaxW'].errors && (myForm.controls['jMaxW'].dirty || myForm.controls['jMaxW'].touched)" class="error-msg pl-2">
                            <div [hidden]="!myForm.controls['jMaxW'].errors.required">Job max. Experice is required.</div>
                            <div [hidden]="!myForm.controls['jMaxW'].errors?.pattern">please enter an valid Experice.</div>
                        </div>
                    </div>
                </div>
                <div class="form-row">
                    <div class="col-md-5 mb-3">
                        <label for="validationCustom01">Vacancies*</label>
                        <input type="number" class="form-control"  placeholder="Vacancies" formControlName = "jVacancy" required>
                        <div *ngIf="myForm.controls['jVacancy'].errors && (myForm.controls['jVacancy'].dirty || myForm.controls['jVacancy'].touched)" class="error-msg pl-2">
                            <div [hidden]="!myForm.controls['jVacancy'].errors.required">Job vacancy is required.</div>
                            <div [hidden]="!myForm.controls['jVacancy'].errors?.pattern">please enter an valid Vacancies.</div>
                        </div>
                    </div>
                    <div class="col-md-1">&nbsp;</div>
                    <div class="col-md-6 mb-3">
                        <label for="validationCustom01">Location*</label>
                        <input type="text" class="form-control"  placeholder="Location" formControlName = "jLocation"  list="loclist" required>
                        <div *ngIf="myForm.controls['jLocation'].errors && (myForm.controls['jLocation'].dirty || myForm.controls['jLocation'].touched)" class="error-msg pl-2">
                            <div [hidden]="!myForm.controls['jLocation'].errors.required">Job Location is required.</div>
                        </div>
                        <datalist id ="loclist">
                            <option value = "coimbatore">Coimbatore</option>
                            <option value = "hyderabad">Hyderabad</option>
                            <option value = "chennai">Chennai</option>
                            <option value = "delhi">Delhi</option>
                        </datalist>
                    </div>
                </div>
                <div class="form-row">
                    <div class="col-md-12 mb-3">
                        <label for="validationCustom01">Industry*</label>
                        <input type="text" class="form-control"  placeholder="Industry" formControlName = "jIndustry" list="indslist" required >
                        <div *ngIf="myForm.controls['jIndustry'].errors && (myForm.controls['jIndustry'].dirty || myForm.controls['jIndustry'].touched)" class="error-msg pl-2">
                            <div [hidden]="!myForm.controls['jIndustry'].errors.required">Job Industry is required.</div>
                        </div>
                        <datalist id ="indslist">
                            <option value = "IT-Software">IT-Software</option>
                            <option value = "SoftwareService">SoftwareService</option>
                            <option value = "Bpo">BPO</option>
                            <option value = "AutoMobile">AutoMobile</option>
                            <option value = "Banking">Banking</option>
                        </datalist>
                    </div>
                </div>
                <div class="form-row">
                    <div class="col-md-12 mb-3">
                        <label for="validationCustom01">Qualification*</label>
                        <input type="text" class="form-control"  placeholder="Qualification" formControlName = "jQualification" list="quallist" required >
                        <div *ngIf="myForm.controls['jQualification'].errors && (myForm.controls['jQualification'].dirty || myForm.controls['jQualification'].touched)" class="error-msg pl-2">
                            <div [hidden]="!myForm.controls['jQualification'].errors.required">Job Qualification is required.</div>
                        </div>
                        <datalist id ="quallist">
                            <option value = "B.Tech/B.E.">B.Tech/B.E.</option>
                            <option value = "Bsc.">Bsc</option>
                            <option value = "B.com">B.com</option>
                            <option value = "B.A">B.A</option>
                            <option value = "B.Arch">B.Arch</option>
                        </datalist>
                    </div>
                </div>
                <button class="btn btn-primary" type="submit" >PostJob</button>
            </form>
        </div>
        <div class="col-2">&nbsp;</div>
    </div>
</div>
